using Edu.Common.Plugin;

namespace Edu.Common.Enum.Course
{

    /// <summary>
    /// 教务单据切换枚举
    /// </summary>
    public enum EduReceiptConditionEnum
    {
        /// <summary>
        ///我发起的
        /// </summary>
        [EnumField("我发起的")]
        Launch = 1,
        /// <summary>
        /// 我审批的
        /// </summary>
        [EnumField("我审批的")]
        Agree = 2,
        /// <summary>
        /// 待我审批
        /// </summary>
        [EnumField("待我审批")]
        WaitAgree = 3,
        /// <summary>
        /// 抄送给我的
        /// </summary>
        [EnumField("抄送给我的")]
        CarbonCopy = 4,

        /// <summary>
        ///全部
        /// </summary>
        [EnumField("全部")]
        ALL = 5,
        /// <summary>
        /// 我作废的
        /// </summary>
        [EnumField("我作废的")]
        Delete = 6,
        /// <summary>
        /// 被驳回的
        /// </summary>
        [EnumField("被驳回的")]
        Refund = 7,
    }
}